schniddimargo

Android App not compatible with Galaxy S3, where to get apk?

Recommended Posts

Hi,

I just wanted to install the android app on my Samsung Galaxy S3 via the Playstore, but Playstore says that it's not compatible with my phone.

Currently, Bittorrent Sync 1.1.27 is on the playstore. Why is it marked incompatible with the S3? And is there any reliable/secure place where I can download the most recent apk 1.1.48 or newer (maybe with hash info etc) manually to see what's not working on the S3?

Regards,

Martin

Share this post


Link to post
Share on other sites

The Android app is currently only supported on Arm architecture. If your device is based on x86 architecture, it's not currently compatible.

The team are currently working on x86 device compatibility for the Android app.

Also, please note that the version numbers of the Android build do not relate to build numbers for the desktop version. There is therefore no "1.1.48" .apk - the latest Android build is v1.1.27 and the latest desktop build is v1.1.48

Share this post


Link to post
Share on other sites

Well, I am nearly 100% (about 99,9999999999%) sure that the S3 is based on Arm, as well as S1,S2 and S4. At least from S4 I have seen positive reports of the working app. I just think there is something wrong with the playstore... Why can't you (or whoever...) not just provide the apk somewhere? Not everybody needs the playstore to download and install an app..

Share this post


Link to post
Share on other sites
Why can't you (or whoever...) not just provide the apk somewhere?

Direct downloads of BTSync are here: http://syncapp.bittorrent.com/1.1.42/. The APK is recent, but not current.

Assuming I didn't make a mistake when extracting with Titanium, here's the 1.2.27 apk: <link disabled at dev's request>

Edited by JimmyTheSaint

Share this post


Link to post
Share on other sites

I created an account just to say I have the same problem. I currently use a Motorola Atrix which has an arm processor and I am frustrated as to why the play store is saying that this app is not compatible with my device.

Share this post


Link to post
Share on other sites

Assuming I didn't make a mistake when extracting with Titanium, here's the 1.2.27 apk: <munch>

Thanks, Jimmy. I downloaded this and made a quick test. It installs without problems on my S3 and also a quick test with syncing worked. Yeah ;)

M.

Edited by Harold Feit

Share this post


Link to post
Share on other sites

I also have the exact same issue with my galaxy s3.

I wonder how many people have this issue and DON'T know about this forum...

... or how many people just download the apk from that dropbox link, and never report this problem...

...because I cannot post a review for the app in the Android Market, presumably because you can't review something incompatible with your device....

Just pointing out that this might be an issue with a lot of people that would otherwwise love to use this app....

Share this post


Link to post
Share on other sites

I know the Android app Requires Android 2.2 and up but I have a feeling both phones mentioned are higher than 2.2. 95% of the time when an app isn't compatible its b/c of the Screen Resolution that listed or Pixel density of the screen. The Devs just need to edit the Required screen size/Pixel Density to be more flexible and things should be okay.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.